import greenfoot.*;  // （World、Actor、GreenfootImage、GreenfootSound、Greenfoot及MouseInfo）
import java.awt.Color;

/**
 * 擊球板。
 * 
 * @author 依瑪貓
 * @version 2012-08-28
 */
public class Bar extends Rect
{
    /** 擊球板的寬。 */
    private static final int width = 50;
    
    /** 擊球板的高。 */
    private static final int height = 10;
    
    /** 擊球板的顏色。 */
    private static final Color color = Color.WHITE;
    
    /** 每次的移動距離。 */
    private final static int speed = 5;
    
    /**
     * 建立新的擊球板。
     * 
     */
    public Bar() {
        super(width, height, color);
    }
    
    /**
     * 每次按下「單步執行」或「執行」按鈕，都會呼叫這個方法。
     * 
     */
    public void act() 
    {
        checkKeys();
    }
    
    /**
     * 檢查按鍵按下什麼鍵。
     * 
     */
    public void checkKeys() {
        if (Greenfoot.isKeyDown("left")) {
            int newX = getX() - speed;
            if (newX - getRadiusX() < 0) {
                newX = getRadiusX();
            }
            setLocation(newX, getY());
        }
        if (Greenfoot.isKeyDown("right")) {
            World space = getWorld();
            int newX = getX() + speed;
            if (newX + getRadiusX() >= space.getWidth()) {
                newX = space.getWidth() - getRadiusX();
            }
            setLocation(newX, getY());
        }
    }
}