import greenfoot.*;  // （World、Actor、GreenfootImage、GreenfootSound、Greenfoot及MouseInfo）
import java.awt.Color;

/**
 * 分數。
 * 
 * @author 依瑪貓
 * @version 2012-08-29
 */
public class Score extends Actor
{
    /** 分數的字體大小。 */
    public final static int fontSize = 14;
    
    /** 分數的文字顏色。 */
    public final static Color fgColor = Color.WHITE;
    
    /** 分數的背景顏色。 */
    public final static Color bgColor = new Color(0, 0, 0, 0);
    
    /** 分數。 */
    private int score = 0;
    
    /**
     * 分數加進場景後，要做的事。
     * 
     */
    public void addedToWorld(World world) {
        drawScore(world, score);
    }
    
    /**
     * 繪製分數。
     * 
     * @param score 分數。
     */
    public void drawScore(World world, int score) {
        GreenfootImage image = new GreenfootImage("分數： " + score, fontSize, fgColor, bgColor);
        setImage(image);
        int x = 5 + image.getWidth() / 2;
        int y = world.getHeight() - 5 - image.getHeight() / 2;
        setLocation(x, y);
    }
    
    /**
     * 增加分數。
     * 
     */
    public void increase() {
        score++;
        drawScore(getWorld(), score);
    }
    
    /**
     * 取得目前分數。
     * 
     * @return 目前分數
     */
    public int getScore() {
        return score;
    }
}
