import greenfoot.*;  // （World、Actor、GreenfootImage、GreenfootSound、Greenfoot及MouseInfo）
import java.awt.Color;
import java.util.ArrayList;
import java.util.List;

/**
 * 分數板。
 * 
 * @author 依瑪貓
 * @version 2012-08-29
 */
public class ScoreBoard extends Actor
{
    /** 分數板的背景顏色。 */
    private static final Color backgroundColor = new Color(255, 255, 255, 128);
    
    /** 透明色。 */
    private static final Color transparent = new Color(255, 255, 255, 0);
    
    /**
     * 建立新的分數板。
     * 
     * @param score 得分。
     */
    public ScoreBoard(int score) {
        List<GreenfootImage> lines = new ArrayList<GreenfootImage>();
        lines.add(new GreenfootImage("遊戲結束", 48, Color.WHITE, transparent));
        lines.add(new GreenfootImage("得分： " + score, 48, Color.WHITE, transparent));
        
        int width = 0;
        int height = 0;
        for (GreenfootImage line : lines) {
            height += line.getHeight();
            if (width < line.getWidth()) {
                width = line.getWidth();
            }
        }
        
        GreenfootImage image = new GreenfootImage(width + 20, height + 20);
        image.setColor(backgroundColor);
        image.fill();
        for (int i = 0, y = 10; i < lines.size(); i++) {
            GreenfootImage line = lines.get(i);
            image.drawImage(line, (image.getWidth() - line.getWidth()) / 2, y);
            y += line.getHeight();
        }
        setImage(image);
    }
}
