import greenfoot.*;  // （World、Actor、GreenfootImage、GreenfootSound、Greenfoot及MouseInfo）
import java.awt.Color;

/**
 * 請在此撰寫 Space 類別的說明。
 * 
 * @author 依瑪貓
 * @version 2012-08-28
 */
public class Space extends World
{
    /** 分數。 */
    private Score score = null;
    
    /**
     * Space 類別的物件建構子。
     * 
     */
    public Space()
    {    
        // 建立600x400方格的新場景，方格大小為1x1像素。
        super(600, 400, 1);
        drawBackground();
        addObject(new Ball(), getWidth() / 2, getHeight() / 2);
        addObject(new Bar(), getWidth() / 2, getHeight() - 15);
        addBricks();
        score = new Score();
        addObject(score, 0, 0);
    }
    
    /**
     * 繪製背景。
     * 
     */
    public void drawBackground() {
        GreenfootImage image = getBackground();
        image.setColor(Color.BLACK);
        image.fill();
        for (int i = 0; i < 300; i++) {
            int brightness = Greenfoot.getRandomNumber(256);
            image.setColor(new Color(brightness, brightness, brightness));
            int x = Greenfoot.getRandomNumber(getWidth());
            int y = Greenfoot.getRandomNumber(getHeight());
            image.fillOval(x, y, 2, 2);
        }
    }
    
    /**
     * 加上磚塊。
     * 
     */
    public void addBricks() {
        for (int y = 15; y < 180; y += 20) {
            for (int x = 30; x < 600; x += 60) {
                addObject(new Brick(), x, y);
            }
        }
    }
    
    /**
     * 取得分數。
     * 
     * @return 分數
     */
    public Score getScore() {
        return score;
    }
    
    /**
     * 遊戲結束。
     * 
     */
    public void gameOver() {
        addObject(new ScoreBoard(score.getScore()), getWidth() / 2, getHeight() / 2);
        Greenfoot.stop();
    }
}
